cals-methods {msbase} | R Documentation

## Similarity by user defined function

### Description

Compute similarity between two Massvectors using a similarity function passed to argument msim

### Arguments

`obx` | see below in Methods section
`oby` | see above in Methods section
`error` | measurement error
`ppm` | if `TRUE` then error in parts per million, in arbitrary units otherwise
`msim` | similarity function
`p` | argument to similarity function
`uniq` | if `TRUE` compute optimal aligmnent

### Value

Scalar, Vector or object of class `dist`

### Methods

obx = "numeric", oby = "numeric"
  given two vectors computes alignement and similarity using function passed to arguement mdist
obx = "Massvector", oby = "Massvector"
  same for `Massvectors`
obx = "Massvectorlist", oby = "Massvector"
  compute similarities between `Massvector` and `Massvectorlist`
obx = "Massvectorlist", oby = "NULL"
  computes object of class `dist` casting the similarities into distances

### Author(s)

Witold E. Wolski witek96@users.sourceforge.net

### See Also

`calssim`,`calsrange`

### Examples

    data(pldata)
    pl1 <- pldata[[1]]
    pl2 <- pldata[[2]]
    cals(pl1,pl2,error=400,ppm=TRUE,msim=calssim,p=3)
    cals(pl1,pl2,error=400,ppm=TRUE,msim=calsrange)
    tmp <- cals(pldata,NULL,error=400,ppm=TRUE,msim=calssim,p=3)
    plot(hclust(tmp,method="average"))

[Package msbase version 1.5.0 Index]